Payment Method - Set Default Payment Method for Customer
curl --request POST \
--url https://sandbox.birrpay.io/{customer_id}/payment_methods/{payment_method_id}/default \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.birrpay.io/{customer_id}/payment_methods/{payment_method_id}/default"
headers = {"api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.birrpay.io/{customer_id}/payment_methods/{payment_method_id}/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "cus_y3oqhf46pyzuxjbcn2giaqnb44",
"payment_method": "card",
"default_payment_method_id": "card_rGK4Vi5iSW70MY7J2mIg",
"payment_method_type": "ach"
}Payment Methods
Payment Method - Set Default Payment Method for Customer
Set the Payment Method as Default for the Customer.
POST
/
{customer_id}
/
payment_methods
/
{payment_method_id}
/
default
Payment Method - Set Default Payment Method for Customer
Authorizations
Ephemeral keys provide temporary access to singular data, such as access to a single customer object for a short period of time.
Path Parameters
The unique identifier for the Customer
The unique identifier for the Payment Method
Response
Payment Method has been set as default
The unique identifier of the customer.
Required string length:
1 - 64Example:
"cus_y3oqhf46pyzuxjbcn2giaqnb44"
Indicates the type of payment method. Eg: 'card', 'wallet', etc.
Available options:
card, card_redirect, pay_later, wallet, bank_redirect, bank_transfer, crypto, bank_debit, reward, real_time_payment, upi, voucher, gift_card, open_banking, mobile_payment, network_token The unique identifier of the Payment method
Example:
"card_rGK4Vi5iSW70MY7J2mIg"
Indicates the sub type of payment method. Eg: 'google_pay' & 'apple_pay' for wallets.
Available options:
ach, affirm, afterpay_clearpay, alfamart, ali_pay, ali_pay_hk, alma, amazon_pay, paysera, apple_pay, atome, bacs, bancontact_card, becs, benefit, bizum, blik, bluecode, boleto, bca_bank_transfer, bni_va, breadpay, bri_va, bhn_card_network, card_redirect, cimb_va, classic, credit, crypto_currency, cashapp, dana, danamon_va, debit, duit_now, efecty, eft, eps, flexiti, fps, evoucher, giropay, givex, google_pay, go_pay, gcash, ideal, interac, indomaret, klarna, kakao_pay, local_bank_redirect, mandiri_va, knet, mb_way, mobile_pay, momo, momo_atm, multibanco, online_banking_thailand, online_banking_czech_republic, online_banking_finland, online_banking_fpx, online_banking_poland, online_banking_slovakia, oxxo, pago_efectivo, permata_bank_transfer, open_banking_uk, pay_bright, payjustnow, paypal, paze, pix, pay_safe_card, przelewy24, prompt_pay, pse, qris, red_compra, red_pagos, samsung_pay, sepa, sepa_bank_transfer, sepa_guarenteed_debit, skrill, sofort, swish, touch_n_go, trustly, twint, upi_collect, upi_intent, upi_qr, vipps, viet_qr, venmo, walley, we_chat_pay, seven_eleven, lawson, mini_stop, family_mart, seicomart, pay_easy, local_bank_transfer, mifinity, open_banking_pis, direct_carrier_billing, instant_bank_transfer, instant_bank_transfer_finland, instant_bank_transfer_poland, revolut_pay, indonesian_bank_transfer, open_banking, network_token